/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.key;

import com.yiring.app.param.key.KeyAlarmLogFindParam;
import com.yiring.app.vo.key.KeyAlarmLogVo;
import com.yiring.auth.param.IdsParam;
import com.yiring.common.core.Result;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;

/**
 * 按键报警推送
 *
 * @author LJ-2204
 * @date 2022/5/13
 */
public interface KeyAlarmLogService {
    /**
     * 表格查询
     * @param param KeyAlarmLogFindParam
     * @param pageParam PageParam
     * @return Result<PageVo<KeyAlarmLogVo>>
     */
    Result<PageVo<KeyAlarmLogVo>> page(KeyAlarmLogFindParam param, PageParam pageParam);

    /**
     * 批量发送
     * @param idsParam IdsParam
     * @return Result<String>
     */
    Result<String> send(IdsParam idsParam);
}
